Bug 971329 - [RFE] RHEV-M should manage its own backups
Summary: [RFE] RHEV-M should manage its own backups
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All All
medium
medium
Target Milestone: ---
: ---
Assignee: Andrew Cathrow
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 09:44 UTC by Daniele
Modified: 2018-12-02 17:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-25 13:23:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniele 2013-06-06 09:44:41 UTC
1. Proposed title of this feature request
Automatic remote backup of RHEV-M

2. Who is the customer behind the request?
"internal"

3. What is the nature and description of the request?
RHEV-M to be able to automatically backup itself (db/pki is enough maybe?) on remote storage, to ease disaster recovery.

4. Why does the customer need this? (List the business requirements here)
Easier and more reliable backup plan

5. How would the customer like to achieve this? (List the functional requirements here)
Maybe using logcollector to compress the db and ssh to store it would be enough?

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
no

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
no

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
rhev-m 3.x

11. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 1 Itamar Heim 2013-06-06 13:50:05 UTC
daniele, have you looked at bug 960280?

Comment 2 Daniele 2013-06-07 09:04:12 UTC
Oh... actually no, I had missed it.
I guess we can close this one as a dup if we also consider GUI integration for what mentioned in 960280

Comment 3 Lee Yarwood 2013-06-07 14:30:06 UTC
(In reply to Daniele from comment #2)
> Oh... actually no, I had missed it.
> I guess we can close this one as a dup if we also consider GUI integration
> for what mentioned in 960280

I suggested this RFE to Dan after a customer lost their RHEV-M system without any backups being taken for 2 months. My suggestion was to automatically backup  RHEV-M to remote storage within the RHEV environment, be it a storage domain or somewhere on the hypervisors. AFAICT BZ#960280 does not include this at present but if we add this to the RFE I'd be happy to close this out as a duplicate.

Thanks,

Lee

Comment 4 Scott Herold 2014-06-25 13:23:23 UTC
Customers should treat RHEV-M as a critical system in their environment and should protect and back it up using standard backup processes.  This is not a function of RHEV-M.


Note You need to log in before you can comment on or make changes to this bug.